#ifndef FIX_FIELDS_H
#define FIX_FIELDS_H

#include "Field.h"

#undef Yield

namespace FIX
{
  DEFINE_INT(MaxPriceLevels);
  DEFINE_DATA(DerivativeEncodedIssuer);
  DEFINE_NUMINGROUP(NoCompIDs);
  DEFINE_STRING(SettlInstRefID);
  DEFINE_STRING(NestedPartyID);
  DEFINE_PERCENTAGE(DetachmentPoint);
  DEFINE_BOOLEAN(LateIndicator);
  DEFINE_STRING(SecurityListID);
  DEFINE_INT(DerivativeFlowScheduleType);
  DEFINE_BOOLEAN(FlexibleIndicator);
  DEFINE_NUMINGROUP(NoExecInstRules);
  DEFINE_UTCTIMESTAMP(SideTrdRegTimestamp);
  DEFINE_INT(DeliveryForm);
  DEFINE_INT(ExecRestatementReason);
  DEFINE_PERCENTAGE(MidYield);
  DEFINE_FLOAT(ContractMultiplier);
  DEFINE_AMT(CcyAmt);
  DEFINE_QTY(LegOrderQty);
  DEFINE_INT(AllocIntermedReqType);
  DEFINE_STRING(UnderlyingIssuer);
  DEFINE_NUMINGROUP(NoNested2PartyIDs);
  DEFINE_QTY(MinTradeVol);
  DEFINE_AMT(SettlCurrAmt);
  DEFINE_INT(DerivativeInstrumentPartyRole);
  DEFINE_INT(YieldRedemptionPriceType);
  DEFINE_STRING(NewsRefID);
  DEFINE_INT(SecurityListTypeSource);
  DEFINE_STRING(ApplReqID);
  DEFINE_STRING(DerivativeFuturesValuationMethod);
  DEFINE_NUMINGROUP(NoLegSecurityAltID);
  DEFINE_STRING(DerivativeSecurityType);
  DEFINE_INT(CollInquiryQualifier);
  DEFINE_DATA(RawData);
  DEFINE_STRING(CashSettlAgentContactPhone);
  DEFINE_STRING(CreditRating);
  DEFINE_INT(ContingencyType);
  DEFINE_CURRENCY(StrikeCurrency);
  DEFINE_QTY(TradeVolume);
  DEFINE_STRING(SideTrdRegTimestampSrc);
  DEFINE_LOCALMKTDATE(DeliveryDate);
  DEFINE_CHAR(EmailType);
  DEFINE_DATA(EncodedListExecInst);
  DEFINE_UTCTIMESTAMP(ContraTradeTime);
  DEFINE_INT(MaturityMonthYearIncrement);
  DEFINE_CHAR(RootPartyIDSource);
  DEFINE_LOCALMKTDATE(UnderlyingCouponPaymentDate);
  DEFINE_PERCENTAGE(BidYield);
  DEFINE_CHAR(IOIQltyInd);
  DEFINE_STRING(Issuer);
  DEFINE_STRING(CardNumber);
  DEFINE_NUMINGROUP(NoLegStipulations);
  DEFINE_EXCHANGE(LegSecurityExchange);
  DEFINE_QTY(CashOrderQty);
  DEFINE_AMT(AccruedInterestAmt);
  DEFINE_STRING(MDEntrySeller);
  DEFINE_PRICE(LegPrice);
  DEFINE_STRING(DeliverToCompID);
  DEFINE_STRING(TargetLocationID);
  DEFINE_PRICEOFFSET(OfferForwardPoints2);
  DEFINE_QTY(RatioQty);
  DEFINE_INT(MultiLegRptTypeReq);
  DEFINE_STRING(AllocAccount);
  DEFINE_QTY(TotalVolumeTraded);
  DEFINE_NUMINGROUP(LinesOfText);
  DEFINE_INT(AccountType);
  DEFINE_INT(MDEntryPositionNo);
  DEFINE_INT(HaltReasonInt);
  DEFINE_LOCALMKTDATE(FutSettDate);
  DEFINE_STRING(SecurityDesc);
  DEFINE_QTY(MinQty);
  DEFINE_CURRENCY(SettlCurrency);
  DEFINE_FLOAT(PegOffsetValue);
  DEFINE_STRING(DerivativeSecurityAltIDSource);
  DEFINE_NUMINGROUP(NoSettlPartySubIDs);
  DEFINE_STRING(AllocReportID);
  DEFINE_STRING(LegCFICode);
  DEFINE_LOCALMKTDATE(LegFutSettDate);
  DEFINE_STRING(LegBenchmarkCurveName);
  DEFINE_STRING(ClearingFeeIndicator);
  DEFINE_STRING(BrokerOfCredit);
  DEFINE_STRING(SecurityListRefID);
  DEFINE_TZTIMEONLY(UnderlyingLegMaturityTime);
  DEFINE_INT(NestedPartySubIDType);
  DEFINE_INT(BidType);
  DEFINE_STRING(MDEntryRefID);
  DEFINE_QTY(UnderlyingUnitOfMeasureQty);
  DEFINE_LOCALMKTDATE(UnderlyingLegMaturityDate);
  DEFINE_PRICE(StartTickPriceRange);
  DEFINE_MONTHYEAR(LegContractSettlMonth);
  DEFINE_STRING(UnderlyingSecurityDesc);
  DEFINE_STRING(CashDistribPayRef);
  DEFINE_INT(QuotePriceType);
  DEFINE_DATA(EncodedAllocText);
  DEFINE_MONTHYEAR(UnderlyingMaturityMonthYear);
  DEFINE_PERCENTAGE(UnderlyingOriginalNotionalPercentageOutstanding);
  DEFINE_INT(MultilegPriceMethod);
  DEFINE_INT(TotNoFills);
  DEFINE_STRING(DerivativeSettleOnOpenFlag);
  DEFINE_INT(UnderlyingRepurchaseTerm);
  DEFINE_COUNTRY(DerivativeCountryOfIssue);
  DEFINE_INT(ListMethod);
  DEFINE_STRING(UnderlyingCPProgram);
  DEFINE_FLOAT(PriceDelta);
  DEFINE_SEQNUM(RefSeqNum);
  DEFINE_BOOLEAN(AutoAcceptIndicator);
  DEFINE_BOOLEAN(MDImplicitDelete);
  DEFINE_NUMINGROUP(NoStipulations);
  DEFINE_LOCALMKTDATE(ClearingBusinessDate);
  DEFINE_STRING(LocationID);
  DEFINE_CURRENCY(Currency);
  DEFINE_INT(RoutingType);
  DEFINE_PRICE(UnderlyingStrikePrice);
  DEFINE_CHAR(BidTradeType);
  DEFINE_PERCENTAGE(UnderlyingAttachmentPoint);
  DEFINE_INT(TotNoRejQuotes);
  DEFINE_STRING(OrdStatusReqID);
  DEFINE_STRING(SenderCompID);
  DEFINE_INT(OrdRejReason);
  DEFINE_INT(MaturityMonthYearIncrementUnits);
  DEFINE_CHAR(DisplayWhen);
  DEFINE_INT(ApplQueueAction);
  DEFINE_CHAR(RegistTransType);
  DEFINE_STRING(PaymentRemitterID);
  DEFINE_INT(PriceType);
  DEFINE_STRING(MarketReqID);
  DEFINE_NUMINGROUP(NoNestedInstrAttrib);
  DEFINE_STRING(SecuritySubType);
  DEFINE_STRING(ClOrdID);
  DEFINE_DAYOFMONTH(MaturityDay);
  DEFINE_STRING(UnderlyingSeniority);
  DEFINE_STRING(MarketSegmentDesc);
  DEFINE_NUMINGROUP(NoMarketSegments);
  DEFINE_INT(SettlObligMode);
  DEFINE_CHAR(SecurityUpdateAction);
  DEFINE_INT(NetworkRequestType);
  DEFINE_PERCENTAGE(LiquidityPctLow);
  DEFINE_INT(PartyRole);
  DEFINE_FLOAT(LegRatioQty);
  DEFINE_FLOAT(SettlCurrFxRate);
  DEFINE_INT(LegContractMultiplierUnit);
  DEFINE_DATA(SecureData);
  DEFINE_STRING(SenderLocationID);
  DEFINE_PRICE(FirstPx);
  DEFINE_DATA(EncodedLegIssuer);
  DEFINE_CHAR(AssignmentMethod);
  DEFINE_STRING(RoutingID);
  DEFINE_INT(StrategyParameterType);
  DEFINE_INT(EncryptMethod);
  DEFINE_STRING(UnderlyingStateOrProvinceOfIssue);
  DEFINE_SEQNUM(ApplNewSeqNum);
  DEFINE_LENGTH(DerivativeEncodedSecurityDescLen);
  DEFINE_CURRENCY(TradingCurrency);
  DEFINE_PRICE(SecondaryHighLimitPrice);
  DEFINE_PRICE(OrderAvgPx);
  DEFINE_STRING(PosAmtType);
  DEFINE_BOOLEAN(ResetSeqNumFlag);
  DEFINE_NUMINGROUP(NoHops);
  DEFINE_INT(CollInquiryResult);
  DEFINE_LOCALMKTDATE(StartDate);
  DEFINE_INT(CollAsgnRespType);
  DEFINE_QTY(OrderBookingQty);
  DEFINE_NUMINGROUP(NoQuoteQualifiers);
  DEFINE_BOOLEAN(UnsolicitedIndicator);
  DEFINE_STRING(RefCstmApplVerID);
  DEFINE_STRING(SideExecID);
  DEFINE_STRING(RejectText);
  DEFINE_STRING(ExchangeSpecialInstructions);
  DEFINE_STRING(TradeID);
  DEFINE_PRICE(RndPx);
  DEFINE_INT(QuoteEntryRejectReason);
  DEFINE_CHAR(OrderCapacity);
  DEFINE_INT(SideLastQty);
  DEFINE_STRING(DerivativeUnitOfMeasure);
  DEFINE_NUMINGROUP(NoLegAllocs);
  DEFINE_INT(QuoteAckStatus);
  DEFINE_STRING(SecondaryFirmTradeID);
  DEFINE_INT(UserRequestType);
  DEFINE_INT(SecondaryTrdType);
  DEFINE_INT(TradeReportTransType);
  DEFINE_CHAR(AdvSide);
  DEFINE_STRING(DerivativeSecuritySubType);
  DEFINE_STRING(TriggerTradingSessionSubID);
  DEFINE_STRING(TradeLinkID);
  DEFINE_PRICE(LegBenchmarkPrice);
  DEFINE_SEQNUM(HopRefID);
  DEFINE_STRING(Designation);
  DEFINE_STRING(TradeRequestID);
  DEFINE_INT(LegFlowScheduleType);
  DEFINE_STRING(LegPriceUnitOfMeasure);
  DEFINE_CHAR(Nested4PartyIDSource);
  DEFINE_INT(CoveredOrUncovered);
  DEFINE_INT(AcctIDSource);
  DEFINE_PRICE(MktOfferPx);
  DEFINE_NUMINGROUP(NoCapacities);
  DEFINE_INT(TradeRequestType);
  DEFINE_NUMINGROUP(NoNestedPartyIDs);
  DEFINE_INT(TradSesStatus);
  DEFINE_PERCENTAGE(UnderlyingNotionalPercentageOutstanding);
  DEFINE_SEQNUM(ApplLastSeqNum);
  DEFINE_INT(PegPriceType);
  DEFINE_STRING(StrategyParameterName);
  DEFINE_INT(StreamAsgnRejReason);
  DEFINE_QTY(MatchIncrement);
  DEFINE_INT(Nested3PartyRole);
  DEFINE_PRICE(UnderlyingPx);
  DEFINE_PRICEOFFSET(PriceImprovement);
  DEFINE_STRING(ValuationMethod);
  DEFINE_STRING(DerivativeSecurityID);
  DEFINE_NUMINGROUP(NoExpiration);
  DEFINE_STRING(TargetCompID);
  DEFINE_STRING(MDEntryBuyer);
  DEFINE_NUMINGROUP(NoDerivativeInstrumentPartySubIDs);
  DEFINE_NUMINGROUP(NoMaturityRules);
  DEFINE_STRING(QuoteMsgID);
  DEFINE_CHAR(TriggerType);
  DEFINE_CHAR(PriceProtectionScope);
  DEFINE_INT(TotNumAssignmentReports);
  DEFINE_STRING(ContraLegRefID);
  DEFINE_INT(TradeReportRejectReason);
  DEFINE_STRING(TradeReportRefID);
  DEFINE_INT(SecurityListType);
  DEFINE_STRING(DerivativeSecurityIDSource);
  DEFINE_QTY(AssignmentUnit);
  DEFINE_STRING(TradeReportID);
  DEFINE_INT(NoRpts);
  DEFINE_INT(LegBenchmarkPriceType);
  DEFINE_LENGTH(EncodedSubjectLen);
  DEFINE_XMLDATA(SecurityXML);
  DEFINE_STRING(LegReportID);
  DEFINE_INT(Nested3PartySubIDType);
  DEFINE_STRING(BenchmarkSecurityIDSource);
  DEFINE_INT(QuoteRejectReason);
  DEFINE_INT(HeartBtInt);
  DEFINE_PRICEOFFSET(BidForwardPoints);
  DEFINE_BOOLEAN(PossResend);
  DEFINE_STRING(Symbol);
  DEFINE_DATA(EncodedUnderlyingSecurityDesc);
  DEFINE_STRING(MarketReportID);
  DEFINE_PRICE(DiscretionPrice);
  DEFINE_FLOAT(ContAmtValue);
  DEFINE_INT(QuantityType);
  DEFINE_INT(ComplexEventPriceBoundaryMethod);
  DEFINE_INT(ImpliedMarketIndicator);
  DEFINE_STRING(AllocClearingFeeIndicator);
  DEFINE_INT(QuoteRequestType);
  DEFINE_INT(SecurityRequestResult);
  DEFINE_MULTIPLECHARVALUE(OrderRestrictions);
  DEFINE_NUMINGROUP(NoSideTrdRegTS);
  DEFINE_STRING(Text);
  DEFINE_LENGTH(EncodedTextLen);
  DEFINE_CHAR(ListExecInstType);
  DEFINE_STRING(SecondaryOrderID);
  DEFINE_STRING(ExecBroker);
  DEFINE_LENGTH(SecurityXMLLen);
  DEFINE_SEQNUM(ApplSeqNum);
  DEFINE_QTY(MaxTradeVol);
  DEFINE_PRICEOFFSET(OfferSwapPoints);
  DEFINE_INT(SettlPartySubIDType);
  DEFINE_INT(DistribPaymentMethod);
  DEFINE_INT(TotalAffectedOrders);
  DEFINE_FLOAT(StrikeIncrement);
  DEFINE_INT(OrderHandlingInstSource);
  DEFINE_BOOLEAN(CopyMsgIndicator);
  DEFINE_NUMINGROUP(NoDlvyInst);
  DEFINE_STRING(QuoteEntryID);
  DEFINE_INT(AffirmStatus);
  DEFINE_STRING(MailingInst);
  DEFINE_QTY(OfferSize);
  DEFINE_STRING(LegSecurityType);
  DEFINE_INT(OrigCustOrderCapacity);
  DEFINE_INT(AllocMethod);
  DEFINE_LOCALMKTDATE(QuantityDate);
  DEFINE_FLOAT(TargetStrategyPerformance);
  DEFINE_LOCALMKTDATE(CardExpDate);
  DEFINE_STRING(ConfirmID);
  DEFINE_STRING(StandInstDbName);
  DEFINE_QTY(DayOrderQty);
  DEFINE_PRICE(HighLimitPrice);
  DEFINE_STRING(FirmTradeID);
  DEFINE_STRING(SecondaryIndividualAllocID);
  DEFINE_STRING(AgreementDesc);
  DEFINE_CHAR(MassCancelResponse);
  DEFINE_CURRENCY(LegSettlCurrency);
  DEFINE_AMT(Commission);
  DEFINE_INT(StreamAsgnReqType);
  DEFINE_PRICEOFFSET(BidSwapPoints);
  DEFINE_NUMINGROUP(NoSettlPartyIDs);
  DEFINE_STRING(SymbolSfx);
  DEFINE_STRING(BusinessRejectRefID);
  DEFINE_PRICE(Price2);
  DEFINE_INT(FillLiquidityInd);
  DEFINE_STRING(MassActionReportID);
  DEFINE_STRING(DerivativeIssuer);
  DEFINE_CHAR(ExDestinationIDSource);
  DEFINE_STRING(CollRespID);
  DEFINE_INT(SecurityListRequestType);
  DEFINE_DATA(EncodedLegSecurityDesc);
  DEFINE_STRING(UnderlyingSettlementStatus);
  DEFINE_STRING(SecurityAltID);
  DEFINE_STRING(RegistRefID);
  DEFINE_STRING(DerivativePriceQuoteMethod);
  DEFINE_INT(OrderDelay);
  DEFINE_NUMINGROUP(NoNotAffectedOrders);
  DEFINE_STRING(Nested3PartyID);
  DEFINE_INT(CollAsgnReason);
  DEFINE_UTCTIMEONLY(TotalVolumeTradedTime);
  DEFINE_EXCHANGE(SecurityExchange);
  DEFINE_INT(SettlPriceType);
  DEFINE_QTY(UnitOfMeasureQty);
  DEFINE_STRING(UserRequestID);
  DEFINE_PRICE(LastParPx);
  DEFINE_MONTHYEAR(EndMaturityMonthYear);
  DEFINE_CHAR(DealingCapacity);
  DEFINE_PRICE(PrevClosePx);
  DEFINE_STRING(TradeInputDevice);
  DEFINE_QTY(DayCumQty);
  DEFINE_STRING(SecuritySettlAgentAcctNum);
  DEFINE_CURRENCY(LegCurrency);
  DEFINE_DATA(EncryptedNewPassword);
  DEFINE_AMT(DerivativeMinPriceIncrementAmount);
  DEFINE_NUMINGROUP(NoNested3PartySubIDs);
  DEFINE_STRING(RefSubID);
  DEFINE_INT(SettlPartyRole);
  DEFINE_STRING(CashDistribAgentName);
  DEFINE_FLOAT(LegContractMultiplier);
  DEFINE_INT(ProgPeriodInterval);
  DEFINE_CHAR(LegSettlType);
  DEFINE_STRING(OnBehalfOfLocationID);
  DEFINE_STRING(OnBehalfOfSubID);
  DEFINE_UTCTIMEONLY(ComplexEventEndTime);
  DEFINE_INT(RateSourceType);
  DEFINE_STRING(DerivativeStateOrProvinceOfIssue);
  DEFINE_STRING(TradeLegRefID);
  DEFINE_UTCTIMESTAMP(RelSymTransactTime);
  DEFINE_NUMINGROUP(NoComplexEventTimes);
  DEFINE_QTY(LegCalculatedCcyLastQty);
  DEFINE_CHAR(Nested3PartyIDSource);
  DEFINE_LOCALMKTDATE(DatedDate);
  DEFINE_STRING(SettlInstID);
  DEFINE_AMT(OpenInterest);
  DEFINE_FLOAT(UnderlyingContractMultiplier);
  DEFINE_INT(TotQuoteEntries);
  DEFINE_INT(TotNoCxldQuotes);
  DEFINE_BOOLEAN(AggregatedBook);
  DEFINE_STRING(PaymentRef);
  DEFINE_LOCALMKTDATE(PaymentDate);
  DEFINE_PERCENTAGE(OrderPercent);
  DEFINE_INT(PosQtyStatus);
  DEFINE_NUMINGROUP(NoNested4PartySubIDs);
  DEFINE_BOOLEAN(PrivateQuote);
  DEFINE_STRING(SecondaryTradeID);
  DEFINE_STRING(SecuritySettlAgentContactPhone);
  DEFINE_LENGTH(EncodedMktSegmDescLen);
  DEFINE_CURRENCY(SideCurrency);
  DEFINE_QTY(LegQty);
  DEFINE_STRING(MsgType);
  DEFINE_NUMINGROUP(NoTradingSessions);
  DEFINE_STRING(IOIid);
  DEFINE_CHAR(MultiLegReportingType);
  DEFINE_STRING(IDSource);
  DEFINE_STRING(LegStipulationType);
  DEFINE_INT(DerivativeContractMultiplierUnit);
  DEFINE_STRING(MarketSegmentID);
  DEFINE_CHAR(OrdStatus);
  DEFINE_LOCALMKTDATE(MaturityDate);
  DEFINE_INT(ApplTotalMessageCount);
  DEFINE_STRING(InstrumentPartySubID);
  DEFINE_INT(CustomerOrFirm);
  DEFINE_INT(AdjustmentType);
  DEFINE_STRING(UnderlyingInstrumentPartyID);
  DEFINE_CHAR(AsOfIndicator);
  DEFINE_STRING(QuoteStatusReqID);
  DEFINE_CHAR(LegPositionEffect);
  DEFINE_PRICE(MDEntryPx);
  DEFINE_INT(MassActionScope);
  DEFINE_BOOLEAN(ReportedPxDiff);
  DEFINE_LOCALMKTDATE(UnderlyingSettlementDate);
  DEFINE_NUMINGROUP(NoNestedPartySubIDs);
  DEFINE_STRING(AllocReportRefID);
  DEFINE_AMT(Concession);
  DEFINE_DATA(EncodedSecurityDesc);
  DEFINE_STRING(ExecRefID);
  DEFINE_CHAR(VenueType);
  DEFINE_INT(MassActionType);
  DEFINE_INT(PosMaintResult);
  DEFINE_STRING(IOIShares);
  DEFINE_STRING(BenchmarkSecurityID);
  DEFINE_QTY(LegLastQty);
  DEFINE_CURRENCY(AllocSettlCurrency);
  DEFINE_COUNTRY(LegCountryOfIssue);
  DEFINE_DATA(DerivativeSecurityXML);
  DEFINE_STRING(StrikeRuleID);
  DEFINE_STRING(RefCompID);
  DEFINE_FLOAT(SettlCurrOfferFxRate);
  DEFINE_PERCENTAGE(OfferYield);
  DEFINE_CHAR(TargetPartyIDSource);
  DEFINE_LENGTH(EncryptedNewPasswordLen);
  DEFINE_NUMINGROUP(NoPositions);
  DEFINE_AMT(TotalAccruedInterestAmt);
  DEFINE_CHAR(UnderlyingOptAttribute);
  DEFINE_STRING(DerivativeInstrAttribValue);
  DEFINE_CHAR(InstrumentPartyIDSource);
  DEFINE_INT(PegOffsetType);
  DEFINE_INT(MassCancelRejectReason);
  DEFINE_INT(ResponseTransportType);
  DEFINE_STRING(LegSecurityIDSource);
  DEFINE_PRICE(BasisFeaturePrice);
  DEFINE_LOCALMKTDATE(CouponPaymentDate);
  DEFINE_INT(TradSesStatusRejReason);
  DEFINE_PERCENTAGE(UnderlyingDetachmentPoint);
  DEFINE_STRING(MaturityRuleID);
  DEFINE_STRING(UnderlyingRepoCollateralSecurityType);
  DEFINE_NUMINGROUP(NoTimeInForceRules);
  DEFINE_NUMINGROUP(NoRootPartySubIDs);
  DEFINE_QTY(DisplayMinIncr);
  DEFINE_INT(TrdRegTimestampType);
  DEFINE_INT(LegProduct);
  DEFINE_STRING(ApplVerID);
  DEFINE_CHAR(HandlInst);
  DEFINE_CHAR(ListUpdateAction);
  DEFINE_STRING(NestedInstrAttribValue);
  DEFINE_STRING(TradingSessionSubID);
  DEFINE_STRING(RFQReqID);
  DEFINE_STRING(UnderlyingLegSymbolSfx);
  DEFINE_INT(LiquidityNumSecurities);
  DEFINE_NUMINGROUP(NoMsgTypes);
  DEFINE_UTCTIMESTAMP(TradSesStartTime);
  DEFINE_CHAR(MDEntryType);
  DEFINE_CURRENCY(AgreementCurrency);
  DEFINE_INT(PegMoveType);
  DEFINE_PRICEOFFSET(PegDifference);
  DEFINE_PRICEOFFSET(Spread);
  DEFINE_LENGTH(EncodedAllocTextLen);
  DEFINE_PERCENTAGE(OutsideIndexPct);
  DEFINE_BOOLEAN(DerivFlexProductEligibilityIndicator);
  DEFINE_INT(AvgPxIndicator);
  DEFINE_NUMINGROUP(NoIOIQualifiers);
  DEFINE_CHAR(CancellationRights);
  DEFINE_INT(ListSeqNo);
  DEFINE_STRING(CardIssNum);
  DEFINE_DATA(EncodedMktSegmDesc);
  DEFINE_INT(DerivativeEventType);
  DEFINE_MONTHYEAR(DerivativeMaturityMonthYear);
  DEFINE_STRING(SideTradeReportID);
  DEFINE_NUMINGROUP(NoQuoteSets);
  DEFINE_INT(Nested4PartySubIDType);
  DEFINE_PRICE(FillPx);
  DEFINE_INT(StrikeExerciseStyle);
  DEFINE_STRING(DeskID);
  DEFINE_PERCENTAGE(CrossPercent);
  DEFINE_MONTHYEAR(MaturityMonthYear);
  DEFINE_PRICE(ComplexEventPrice);
  DEFINE_NUMINGROUP(NoNewsRefIDs);
  DEFINE_AMT(UnderlyingCapValue);
  DEFINE_STRING(CPRegType);
  DEFINE_STRING(CashDistribAgentCode);
  DEFINE_CHAR(ExecPriceType);
  DEFINE_STRING(LegAllocID);
  DEFINE_UTCTIMEONLY(MDEntryTime);
  DEFINE_INT(TotalNumSecurities);
  DEFINE_INT(AllocSettlInstType);
  DEFINE_STRING(TargetPartyID);
  DEFINE_CURRENCY(DerivativeStrikeCurrency);
  DEFINE_INT(StatsType);
  DEFINE_INT(ApplExtID);
  DEFINE_INT(SettlementCycleNo);
  DEFINE_CURRENCY(UnderlyingStrikeCurrency);
  DEFINE_INT(TradSesMode);
  DEFINE_CHAR(SettlInstSource);
  DEFINE_STRING(UnderlyingLegSecurityDesc);
  DEFINE_NUMINGROUP(NoDerivativeInstrumentParties);
  DEFINE_UTCTIMESTAMP(DerivativeEventTime);
  DEFINE_PRICE(TickIncrement);
  DEFINE_STRING(UndlyInstrumentPartyID);
  DEFINE_NUMINGROUP(NoUndlyInstrumentParties);
  DEFINE_INT(ExpType);
  DEFINE_STRING(SecondaryClOrdID);
  DEFINE_CHAR(SettlInstTransType);
  DEFINE_STRING(SideComplianceID);
  DEFINE_INT(TradeRequestResult);
  DEFINE_STRING(OrigPosReqRefID);
  DEFINE_STRING(OrigCrossID);
  DEFINE_STRING(TradeInputSource);
  DEFINE_QTY(OrderQty2);
  DEFINE_BOOLEAN(TestMessageIndicator);
  DEFINE_LOCALMKTDATE(DerivativeEventDate);
  DEFINE_AMT(SideGrossTradeAmt);
  DEFINE_PRICE(PeggedPrice);
  DEFINE_INT(ExpirationCycle);
  DEFINE_INT(AllocCancReplaceReason);
  DEFINE_INT(CxlRejReason);
  DEFINE_STRING(BeginString);
  DEFINE_STRING(DeliverToSubID);
  DEFINE_QTY(LegPriceUnitOfMeasureQty);
  DEFINE_NUMINGROUP(NoCollInquiryQualifier);
  DEFINE_PRICE(OfferPx);
  DEFINE_UTCDATE(TotalVolumeTradedDate);
  DEFINE_NUMINGROUP(NoContAmts);
  DEFINE_QTY(MinOfferSize);
  DEFINE_PRICE(AvgParPx);
  DEFINE_FLOAT(LegFactor);
  DEFINE_INT(RespondentType);
  DEFINE_QTY(DisplayLowQty);
  DEFINE_CHAR(DKReason);
  DEFINE_PRICE(BenchmarkPrice);
  DEFINE_STRING(ListID);
  DEFINE_STRING(LegSecurityAltID);
  DEFINE_CHAR(PositionEffect);
  DEFINE_CHAR(TriggerAction);
  DEFINE_STRING(RefOrderID);
  DEFINE_INT(ClearingInstruction);
  DEFINE_STRING(SettlInstCode);
  DEFINE_INT(NumDaysInterest);
  DEFINE_MULTIPLECHARVALUE(OpenCloseSettlFlag);
  DEFINE_NUMINGROUP(NoComplexEventDates);
  DEFINE_LENGTH(DerivativeEncodedIssuerLen);
  DEFINE_FLOAT(StrikeMultiplier);
  DEFINE_INT(DiscretionMoveType);
  DEFINE_INT(ListNoOrds);
  DEFINE_STRING(PegSymbol);
  DEFINE_PRICE(DayAvgPx);
  DEFINE_STRING(Headline);
  DEFINE_STRING(NestedPartySubID);
  DEFINE_STRING(CardIssNo);
  DEFINE_CHAR(OptAttribute);
  DEFINE_PRICEOFFSET(LastForwardPoints2);
  DEFINE_INT(MDUpdateType);
  DEFINE_CHAR(TickDirection);
  DEFINE_LOCALMKTDATE(LegRedemptionDate);
  DEFINE_PRICE(StrikePrice);
  DEFINE_DATA(EncodedIssuer);
  DEFINE_STRING(YieldType);
  DEFINE_PRICE(TradingReferencePrice);
  DEFINE_FLOAT(MDEntrySpotRate);
  DEFINE_PERCENTAGE(ParticipationRate);
  DEFINE_INT(PegScope);
  DEFINE_AMT(InterestAtMaturity);
  DEFINE_STRING(LegIndividualAllocID);
  DEFINE_AMT(AllowableOneSidednessValue);
  DEFINE_STRING(CashSettlAgentName);
  DEFINE_QTY(ContraTradeQty);
  DEFINE_TZTIMEONLY(LegMaturityTime);
  DEFINE_INT(SettlDeliveryType);
  DEFINE_INT(SecondaryPriceLimitType);
  DEFINE_PRICE(MidPx);
  DEFINE_PRICE(AvgPx);
  DEFINE_INT(DiscretionLimitType);
  DEFINE_UTCTIMESTAMP(StrikeTime);
  DEFINE_STRING(SettlSessSubID);
  DEFINE_STRING(MailingDtls);
  DEFINE_STRING(BidID);
  DEFINE_CHAR(ExerciseMethod);
  DEFINE_CURRENCY(CommCurrency);
  DEFINE_NUMINGROUP(NoSettlOblig);
  DEFINE_FLOAT(MaxPriceVariation);
  DEFINE_BOOLEAN(WorkingIndicator);
  DEFINE_STRING(CashSettlAgentAcctName);
  DEFINE_QTY(SellVolume);
  DEFINE_INT(SideMultiLegReportingType);
  DEFINE_STRING(DerivativeEventText);
  DEFINE_STRING(PegSecurityDesc);
  DEFINE_STRING(AllocCustomerCapacity);
  DEFINE_INT(ConfirmRejReason);
  DEFINE_CHAR(BidRequestTransType);
  DEFINE_STRING(CashDistribAgentAcctNumber);
  DEFINE_MULTIPLECHARVALUE(LegExecInst);
  DEFINE_PRICE(CapPrice);
  DEFINE_INT(LegRepurchaseTerm);
  DEFINE_STRING(RegistAcctType);
  DEFINE_INT(MassActionRejectReason);
  DEFINE_INT(DerivativePutOrCall);
  DEFINE_MONTHYEAR(StartMaturityMonthYear);
  DEFINE_INT(CollApplType);
  DEFINE_NUMINGROUP(NoUnderlyingAmounts);
  DEFINE_INT(ConfirmType);
  DEFINE_MONTHYEAR(LegMaturityMonthYear);
  DEFINE_STRING(RelatdSym);
  DEFINE_STRING(UnderlyingLegSecuritySubType);
  DEFINE_NUMINGROUP(NoUnderlyingSecurityAltID);
  DEFINE_INT(MDQuoteType);
  DEFINE_INT(QtyType);
  DEFINE_INT(QuoteRespType);
  DEFINE_BOOLEAN(IOINaturalFlag);
  DEFINE_STRING(BenchmarkCurvePoint);
  DEFINE_CHAR(TradSesUpdateAction);
  DEFINE_AMT(UnderlyingCashAmount);
  DEFINE_STRING(CollAsgnID);
  DEFINE_STRING(ExchangeRule);
  DEFINE_DATA(EncodedHeadline);
  DEFINE_STRING(RegistID);
  DEFINE_STRING(CrossID);
  DEFINE_NUMINGROUP(NoExecs);
  DEFINE_STRING(DerivativeSecurityGroup);
  DEFINE_QTY(SecondaryDisplayQty);
  DEFINE_STRING(RefMsgType);
  DEFINE_STRING(StandInstDbID);
  DEFINE_LENGTH(EncodedLegSecurityDescLen);
  DEFINE_PRICE(DerivativeEventPx);
  DEFINE_CHAR(SettlObligSource);
  DEFINE_INT(TrdSubType);
  DEFINE_LENGTH(EncodedUnderlyingIssuerLen);
  DEFINE_CHAR(ExecTransType);
  DEFINE_SEQNUM(BeginSeqNo);
  DEFINE_CHAR(DayBookingInst);
  DEFINE_INT(FlowScheduleType);
  DEFINE_INT(MDOriginType);
  DEFINE_INT(CollInquiryStatus);
  DEFINE_NUMINGROUP(NoInstrAttrib);
  DEFINE_STRING(RegistEmail);
  DEFINE_STRING(StreamAsgnReqID);
  DEFINE_INT(CPProgram);
  DEFINE_STRING(ConfirmReqID);
  DEFINE_STRING(AltMDSourceID);
  DEFINE_NUMINGROUP(NoOrders);
  DEFINE_STRING(CashDistribAgentAcctName);
  DEFINE_CHAR(UndlyInstrumentPartyIDSource);
  DEFINE_STRING(UnderlyingSettlMethod);
  DEFINE_NUMINGROUP(NoMDEntryTypes);
  DEFINE_PRICEOFFSET(MDEntryForwardPoints);
  DEFINE_INT(PosReqType);
  DEFINE_INT(MassStatusReqType);
  DEFINE_LOCALMKTDATE(TradeOriginationDate);
  DEFINE_PRICE(SettlPrice);
  DEFINE_STRING(SecuritySettlAgentAcctName);
  DEFINE_NUMINGROUP(NoDerivativeEvents);
  DEFINE_PRICE(UnderlyingEndPrice);
  DEFINE_CHAR(SubscriptionRequestType);
  DEFINE_INT(TotalNumSecurityTypes);
  DEFINE_INT(NewsCategory);
  DEFINE_INT(UnderlyingLegPutOrCall);
  DEFINE_STRING(URLLink);
  DEFINE_NUMINGROUP(NoInstrumentPartySubIDs);
  DEFINE_AMT(UnderlyingCurrentValue);
  DEFINE_LOCALMKTDATE(InterestAccrualDate);
  DEFINE_LOCALMKTDATE(FutSettDate2);
  DEFINE_NUMINGROUP(NoClearingInstructions);
  DEFINE_CURRENCY(UnderlyingCurrency);
  DEFINE_LOCALMKTDATE(LegInterestAccrualDate);
  DEFINE_STRING(NewPassword);
  DEFINE_LOCALMKTDATE(RedemptionDate);
  DEFINE_SEQNUM(RefApplLastSeqNum);
  DEFINE_AMT(StartCash);
  DEFINE_LENGTH(MaxMessageSize);
  DEFINE_PRICEOFFSET(OfferForwardPoints);
  DEFINE_STRING(IOIQty);
  DEFINE_QTY(LastQty);
  DEFINE_INT(ApplResponseError);
  DEFINE_STRING(UnderlyingLegSecurityType);
  DEFINE_STRING(DerivativePriceUnitOfMeasure);
  DEFINE_CHAR(TriggerPriceDirection);
  DEFINE_STRING(PositionCurrency);
  DEFINE_STRING(MessageEventSource);
  DEFINE_STRING(CollInquiryID);
  DEFINE_AMT(UnderlyingStartValue);
  DEFINE_INT(LastLiquidityInd);
  DEFINE_STRING(SecurityID);
  DEFINE_NUMINGROUP(NoMDEntries);
  DEFINE_INT(StrikePriceDeterminationMethod);
  DEFINE_LOCALMKTDATE(EndDate);
  DEFINE_AMT(CashOutstanding);
  DEFINE_STRING(MDReqID);
  DEFINE_STRING(IOIRefID);
  DEFINE_INT(TargetStrategy);
  DEFINE_STRING(ConfirmRefID);
  DEFINE_INT(SellerDays);
  DEFINE_BOOLEAN(DueToRelated);
  DEFINE_PRICE(SecondaryTradingReferencePrice);
  DEFINE_NUMINGROUP(NoMDFeedTypes);
  DEFINE_INT(UnderlyingInstrumentPartySubIDType);
  DEFINE_UTCTIMESTAMP(TradSesCloseTime);
  DEFINE_MONTHYEAR(ContractSettlMonth);
  DEFINE_PRICE(DerivativeStrikePrice);
  DEFINE_STRING(TriggerSecurityDesc);
  DEFINE_STRING(UnderlyingCashType);
  DEFINE_NUMINGROUP(NoMiscFees);
  DEFINE_INT(CustOrderCapacity);
  DEFINE_CURRENCY(LegAllocSettlCurrency);
  DEFINE_QTY(UnderlyingAdjustedQuantity);
  DEFINE_CHAR(OwnershipType);
  DEFINE_QTY(MaxShow);
  DEFINE_STRING(LegSecurityID);
  DEFINE_STRING(DerivativeSecurityDesc);
  DEFINE_STRING(UnitOfMeasure);
  DEFINE_QTY(Quantity);
  DEFINE_STRING(NewsID);
  DEFINE_INT(UndlyInstrumentPartySubIDType);
  DEFINE_STRING(SettleOnOpenFlag);
  DEFINE_UTCTIMESTAMP(LastUpdateTime);
  DEFINE_PERCENTAGE(RepurchaseRate);
  DEFINE_INT(RepurchaseTerm);
  DEFINE_INT(NestedPartyRole);
  DEFINE_STRING(SecondaryExecID);
  DEFINE_STRING(Pool);
  DEFINE_NUMINGROUP(NoTickRules);
  DEFINE_FLOAT(Volatility);
  DEFINE_PERCENTAGE(PctAtRisk);
  DEFINE_EXCHANGE(UnderlyingSecurityExchange);
  DEFINE_PRICE(LegStrikePrice);
  DEFINE_CHAR(SettlmntTyp);
  DEFINE_INT(TradePublishIndicator);
  DEFINE_INT(ApplResponseType);
  DEFINE_INT(MDSubBookType);
  DEFINE_STRING(Username);
  DEFINE_INT(StandInstDbType);
  DEFINE_INT(QuoteEntryStatus);
  DEFINE_CHAR(TriggerPriceType);
  DEFINE_INT(SideTrdSubTyp);
  DEFINE_STRING(UnderlyingTradingSessionSubID);
  DEFINE_INT(SettlInstReqRejCode);
  DEFINE_PRICE(MktBidPx);
  DEFINE_STRING(UnderlyingLegSymbol);
  DEFINE_FLOAT(StrikeValue);
  DEFINE_CHAR(Urgency);
  DEFINE_STRING(AllocID);
  DEFINE_AMT(UnderlyingDeliveryAmount);
  DEFINE_INT(SideQty);
  DEFINE_INT(CollAsgnTransType);
  DEFINE_PRICEOFFSET(ThresholdAmount);
  DEFINE_QTY(DefBidSize);
  DEFINE_STRING(LegStateOrProvinceOfIssue);
  DEFINE_INT(PaymentMethod);
  DEFINE_CHAR(UnderlyingLegOptAttribute);
  DEFINE_FLOAT(LegVolatility);
  DEFINE_INT(DerivativeInstrAttribType);
  DEFINE_QTY(DerivativeUnitOfMeasureQty);
  DEFINE_NUMINGROUP(NoStatsIndicators);
  DEFINE_CHAR(TriggerPriceTypeScope);
  DEFINE_STRING(LastNetworkResponseID);
  DEFINE_INT(UnderlyingSettlPriceType);
  DEFINE_STRING(ApplReportID);
  DEFINE_INT(PegLimitType);
  DEFINE_STRING(ExecID);
  DEFINE_CHAR(Side);
  DEFINE_PRICE(UnderlyingLastPx);
  DEFINE_INT(MarketDepth);
  DEFINE_PRICEOFFSET(DiscretionOffset);
  DEFINE_INT(ContAmtType);
  DEFINE_CURRENCY(MiscFeeCurr);
  DEFINE_PERCENTAGE(AttachmentPoint);
  DEFINE_CHAR(OrderCategory);
  DEFINE_STRING(AdvTransType);
  DEFINE_PERCENTAGE(WtAverageLiquidity);
  DEFINE_UTCTIMESTAMP(QuoteSetValidUntilTime);
  DEFINE_NUMINGROUP(NoNested4PartyIDs);
  DEFINE_INT(LegPutOrCall);
  DEFINE_STRING(UserStatusText);
  DEFINE_STRING(Nested2PartySubID);
  DEFINE_PERCENTAGE(EFPTrackingError);
  DEFINE_INT(SideLiquidityInd);
  DEFINE_FLOAT(DerivativeMinPriceIncrement);
  DEFINE_BOOLEAN(PublishTrdIndicator);
  DEFINE_COUNTRY(InvestorCountryOfResidence);
  DEFINE_STRING(SideReasonCd);
  DEFINE_FLOAT(MinPriceIncrement);
  DEFINE_STRING(SecuritySettlAgentContactName);
  DEFINE_INT(SecurityResponseType);
  DEFINE_STRING(LegBenchmarkCurvePoint);
  DEFINE_STRING(ClearingFirm);
  DEFINE_INT(SessionStatus);
  DEFINE_STRING(TriggerSecurityID);
  DEFINE_INT(TotNoAllocs);
  DEFINE_NUMINGROUP(NoAltMDSource);
  DEFINE_INT(AllocAccountType);
  DEFINE_PRICE(LastPx);
  DEFINE_CHAR(AllocTransType);
  DEFINE_INT(TotNoQuoteEntries);
  DEFINE_QTY(MinBidSize);
  DEFINE_STRING(SettlBrkrCode);
  DEFINE_STRING(CardHolderName);
  DEFINE_INT(ExpirationQtyType);
  DEFINE_LENGTH(EncodedUnderlyingSecurityDescLen);
  DEFINE_STRING(QuoteReqID);
  DEFINE_STRING(PriceUnitOfMeasure);
  DEFINE_TZTIMESTAMP(TZTransactTime);
  DEFINE_INT(AllocHandlInst);
  DEFINE_CHAR(UnderlyingInstrumentPartyIDSource);
  DEFINE_FLOAT(CurrencyRatio);
  DEFINE_QTY(RefreshQty);
  DEFINE_INT(TradeRequestStatus);
  DEFINE_BOOLEAN(TrdRepIndicator);
  DEFINE_AMT(MiscFeeAmt);
  DEFINE_UTCTIMESTAMP(TradSesOpenTime);
  DEFINE_CHAR(PreallocMethod);
  DEFINE_INT(TaxAdvantageType);
  DEFINE_STRING(MessageEncoding);
  DEFINE_NUMINGROUP(NoPartySubIDs);
  DEFINE_STRING(SettlInstReqID);
  DEFINE_STRING(LegRepoCollateralSecurityType);
  DEFINE_STRING(AffectedSecondaryOrderID);
  DEFINE_TZTIMEONLY(DerivativeMaturityTime);
  DEFINE_UTCTIMESTAMP(ExpireTime);
  DEFINE_FLOAT(UnderlyingFactor);
  DEFINE_UTCTIMESTAMP(OrigOrdModTime);
  DEFINE_NUMINGROUP(NoTrdRepIndicators);
  DEFINE_LOCALMKTDATE(DerivativeMaturityDate);
  DEFINE_STRING(DerivativeCFICode);
  DEFINE_INT(Nested2PartySubIDType);
  DEFINE_STRING(LegIOIQty);
  DEFINE_LOCALMKTDATE(ExpireDate);
  DEFINE_NUMINGROUP(NoMatchRules);
  DEFINE_SEQNUM(ApplEndSeqNum);
  DEFINE_PRICE(EventPx);
  DEFINE_STRING(AsgnRptID);
  DEFINE_CHAR(TimeInForce);
  DEFINE_PRICE(LowPx);
  DEFINE_CHAR(IOIQualifier);
  DEFINE_STRING(WaveNo);
  DEFINE_INT(StrikePriceBoundaryMethod);
  DEFINE_LOCALMKTDATE(DerivativeIssueDate);
  DEFINE_STRING(MiscFeeType);
  DEFINE_STRING(QuoteID);
  DEFINE_STRING(DerivativeInstrumentPartyIDSource);
  DEFINE_STRING(SettlObligID);
  DEFINE_STRING(InstrAttribValue);
  DEFINE_AMT(LiquidityValue);
  DEFINE_STRING(SecurityIDSource);
  DEFINE_INT(NewsRefType);
  DEFINE_NUMINGROUP(NoOfLegUnderlyings);
  DEFINE_DATA(DerivativeEncodedSecurityDesc);
  DEFINE_CHAR(TriggerOrderType);
  DEFINE_PRICE(UnderlyingDirtyPrice);
  DEFINE_INT(CrossType);
  DEFINE_STRING(RepoCollateralSecurityType);
  DEFINE_STRING(Password);
  DEFINE_MULTIPLEVALUESTRING(OpenCloseSettleFlag);
  DEFINE_STRING(Subject);
  DEFINE_STRING(RefApplReqID);
  DEFINE_AMT(UnderlyingEndValue);
  DEFINE_SEQNUM(NewSeqNo);
  DEFINE_CHAR(OrigTradeHandlingInstr);
  DEFINE_QTY(DisplayHighQty);
  DEFINE_INT(MDBookType);
  DEFINE_AMT(MarginExcess);
  DEFINE_CHAR(BasisPxType);
  DEFINE_STRING(DlvyInst);
  DEFINE_STRING(ComplianceID);
  DEFINE_STRING(EmailThreadID);
  DEFINE_CURRENCY(ContAmtCurr);
  DEFINE_INT(ComplexEventType);
  DEFINE_INT(MassActionResponse);
  DEFINE_LOCALMKTDATE(UnderlyingIssueDate);
  DEFINE_INT(SecurityRequestType);
  DEFINE_AMT(AllocInterestAtMaturity);
  DEFINE_INT(ListRejectReason);
  DEFINE_STRING(DeskType);
  DEFINE_STRING(SecondaryTradeReportID);
  DEFINE_STRING(SettlType);
  DEFINE_CHAR(OpenClose);
  DEFINE_INT(ContractMultiplierUnit);
  DEFINE_PRICE(SecondaryLowLimitPrice);
  DEFINE_QTY(ExpQty);
  DEFINE_STRING(NetworkRequestID);
  DEFINE_INT(TrdType);
  DEFINE_NUMINGROUP(NoUnderlyings);
  DEFINE_EXCHANGE(MDMkt);
  DEFINE_EXCHANGE(LastMkt);
  DEFINE_STRING(RestructuringType);
  DEFINE_NUMINGROUP(NoStrikeRules);
  DEFINE_STRING(ListName);
  DEFINE_INT(ProgRptReqs);
  DEFINE_STRING(TradingSessionID);
  DEFINE_INT(ListOrderStatus);
  DEFINE_CHAR(RegistStatus);
  DEFINE_AMT(PosAmt);
  DEFINE_INT(UnderlyingPriceDeterminationMethod);
  DEFINE_NUMINGROUP(NoUnderlyingStips);
  DEFINE_UTCTIMESTAMP(TradSesPreCloseTime);
  DEFINE_CHAR(MassCancelRequestType);
  DEFINE_STRING(UnderlyingLegSecurityAltIDSource);
  DEFINE_STRING(SettlPartyID);
  DEFINE_NUMINGROUP(NoAffectedOrders);
  DEFINE_STRING(CashSettlAgentAcctNum);
  DEFINE_MONTHYEAR(UnderlyingLegMaturityMonthYear);
  DEFINE_NUMINGROUP(NoLotTypeRules);
  DEFINE_NUMINGROUP(NoDates);
  DEFINE_CHAR(CxlRejResponseTo);
  DEFINE_UTCTIMESTAMP(EffectiveTime);
  DEFINE_AMT(GrossTradeAmt);
  DEFINE_STRING(SecurityListDesc);
  DEFINE_STRING(NotAffectedOrderID);
  DEFINE_FLOAT(DerivativeStrikeValue);
  DEFINE_NUMINGROUP(NoPosAmt);
  DEFINE_STRING(LegCreditRating);
  DEFINE_PRICEOFFSET(BidForwardPoints2);
  DEFINE_LOCALMKTDATE(SettlDate);
  DEFINE_STRING(ClientID);
  DEFINE_INT(QuoteCancelType);
  DEFINE_STRING(StipulationType);
  DEFINE_AMT(OutMainCntryUIndex);
  DEFINE_CHAR(LegSettlmntTyp);
  DEFINE_INT(DerivativeNTPositionLimit);
  DEFINE_STRING(PriceQuoteMethod);
  DEFINE_PRICE(LowLimitPrice);
  DEFINE_STRING(LegUnitOfMeasure);
  DEFINE_INT(SessionRejectReason);
  DEFINE_INT(DeliveryType);
  DEFINE_PRICE(AllocPrice);
  DEFINE_NUMINGROUP(NoBidComponents);
  DEFINE_CHAR(QuoteQualifier);
  DEFINE_MULTIPLECHARVALUE(Scope);
  DEFINE_NUMINGROUP(NoSecurityAltID);
  DEFINE_STRING(RootPartySubID);
  DEFINE_STRING(DeliverToLocationID);
  DEFINE_CHAR(DeleteReason);
  DEFINE_PRICE(BidSpotRate);
  DEFINE_STRING(Nested4PartyID);
  DEFINE_BOOLEAN(InViewOfCommon);
  DEFINE_PRICE(UnderlyingSettlPrice);
  DEFINE_STRING(RegistRejReasonText);
  DEFINE_NUMINGROUP(NoSides);
  DEFINE_STRING(LegAllocAccount);
  DEFINE_STRING(LegSecurityDesc);
  DEFINE_STRING(ClOrdLinkID);
  DEFINE_UTCTIMESTAMP(OrigSendingTime);
  DEFINE_LENGTH(EncodedLegIssuerLen);
  DEFINE_STRING(OrderID);
  DEFINE_STRING(SecurityType);
  DEFINE_CHAR(RoundingDirection);
  DEFINE_STRING(FillExecID);
  DEFINE_NUMINGROUP(NoEvents);
  DEFINE_QTY(RoundLot);
  DEFINE_QTY(MDEntrySize);
  DEFINE_LENGTH(EncodedIssuerLen);
  DEFINE_QTY(DerivativePriceUnitOfMeasureQty);
  DEFINE_STRING(TimeUnit);
  DEFINE_INT(TotNoOrders);
  DEFINE_INT(LegSwapType);
  DEFINE_CHAR(IOITransType);
  DEFINE_LENGTH(RawDataLength);
  DEFINE_STRING(UnderlyingSecurityType);
  DEFINE_STRING(UnderlyingLegSecurityAltID);
  DEFINE_INT(SecurityReportID);
  DEFINE_INT(TotNumReports);
  DEFINE_INT(TotalNumPosReports);
  DEFINE_STRING(SecurityReqID);
  DEFINE_INT(PosReqResult);
  DEFINE_PRICEOFFSET(LegOfferForwardPoints);
  DEFINE_CURRENCY(AllowableOneSidednessCurr);
  DEFINE_STRING(AffectedOrderID);
  DEFINE_COUNTRY(UnderlyingCountryOfIssue);
  DEFINE_PERCENTAGE(UnderlyingRepurchaseRate);
  DEFINE_SEQNUM(LastMsgSeqNumProcessed);
  DEFINE_STRING(UnderlyingCFICode);
  DEFINE_CHAR(DerivativeOptAttribute);
  DEFINE_STRING(PegSecurityID);
  DEFINE_STRING(HostCrossID);
  DEFINE_CHAR(ExecInstValue);
  DEFINE_AMT(DerivativeOptPayAmount);
  DEFINE_PERCENTAGE(UnderlyingCouponRate);
  DEFINE_CHAR(SettlInstMode);
  DEFINE_STRING(SecurityAltIDSource);
  DEFINE_BOOLEAN(PreviouslyReported);
  DEFINE_STRING(RptSys);
  DEFINE_NUMINGROUP(NoNested2PartySubIDs);
  DEFINE_STRING(RefAllocID);
  DEFINE_QTY(DefOfferSize);
  DEFINE_STRING(ProductComplex);
  DEFINE_MULTIPLESTRINGVALUE(CustOrderHandlingInst);
  DEFINE_INT(MDPriceLevel);
  DEFINE_FLOAT(LegOptionRatio);
  DEFINE_STRING(SecurityStatus);
  DEFINE_STRING(LegRefID);
  DEFINE_PERCENTAGE(DividendYield);
  DEFINE_INT(DerivativeInstrumentPartySubIDType);
  DEFINE_PRICE(EndStrikePxRange);
  DEFINE_QTY(DisplayQty);
  DEFINE_STRING(LegSecuritySubType);
  DEFINE_CHAR(ProcessCode);
  DEFINE_MULTIPLECHARVALUE(ExecInst);
  DEFINE_UTCTIMESTAMP(TradSesEndTime);
  DEFINE_UTCTIMESTAMP(OrigTime);
  DEFINE_UTCTIMESTAMP(ExecValuationPoint);
  DEFINE_CHAR(ExecType);
  DEFINE_INT(Nested4PartyRole);
  DEFINE_INT(MultilegModel);
  DEFINE_STRING(SecurityGroup);
  DEFINE_INT(EventType);
  DEFINE_INT(TradeAllocIndicator);
  DEFINE_LOCALMKTDATE(YieldCalcDate);
  DEFINE_AMT(ValueOfFutures);
  DEFINE_CHAR(LegSide);
  DEFINE_INT(UserStatus);
  DEFINE_AMT(SideValue1);
  DEFINE_QTY(CxlQty);
  DEFINE_STRING(SecurityResponseID);
  DEFINE_STRING(InstrRegistry);
  DEFINE_STRING(StreamAsgnRptID);
  DEFINE_INT(OrderDelayUnit);
  DEFINE_FLOAT(LegCurrencyRatio);
  DEFINE_PRICE(EndTickPriceRange);
  DEFINE_STRING(CollReqID);
  DEFINE_STRING(LegPool);
  DEFINE_QTY(ShortQty);
  DEFINE_AMT(SideValue2);
  DEFINE_BOOLEAN(TradedFlatSwitch);
  DEFINE_STRING(MassStatusReqID);
  DEFINE_UTCTIMESTAMP(ComplexEventEndDate);
  DEFINE_EXCHANGE(MarketID);
  DEFINE_LOCALMKTDATE(OrigTradeDate);
  DEFINE_BOOLEAN(PreTradeAnonymity);
  DEFINE_INT(TrdRptStatus);
  DEFINE_PERCENTAGE(DistribPercentage);
  DEFINE_INT(QuoteStatus);
  DEFINE_STRING(ClearingAccount);
  DEFINE_STRING(TrdMatchID);
  DEFINE_STRING(OrderInputDevice);
  DEFINE_BOOLEAN(SolicitedFlag);
  DEFINE_UTCTIMESTAMP(TransactTime);
  DEFINE_INT(UnderlyingFlowScheduleType);
  DEFINE_STRING(UnderlyingStipValue);
  DEFINE_SEQNUM(NextExpectedMsgSeqNum);
  DEFINE_CURRENCY(BenchmarkCurveCurrency);
  DEFINE_STRING(CFICode);
  DEFINE_FLOAT(Factor);
  DEFINE_QTY(LastShares);
  DEFINE_UTCTIMESTAMP(EventTime);
  DEFINE_INT(RootPartySubIDType);
  DEFINE_INT(ShortSaleReason);
  DEFINE_DATA(XmlData);
  DEFINE_NUMINGROUP(NoTargetPartyIDs);
  DEFINE_NUMINGROUP(NoRootPartyIDs);
  DEFINE_LOCALMKTDATE(EventDate);
  DEFINE_INT(PegRoundDirection);
  DEFINE_LOCALMKTDATE(LegSettlDate);
  DEFINE_INT(ModelType);
  DEFINE_BOOLEAN(DefaultVerIndicator);
  DEFINE_STRING(FuturesValuationMethod);
  DEFINE_CHAR(SettlMethod);
  DEFINE_FLOAT(UnderlyingFXRate);
  DEFINE_INT(ConfirmStatus);
  DEFINE_BOOLEAN(LocateReqd);
  DEFINE_STRING(PosMaintRptID);
  DEFINE_INT(Adjustment);
  DEFINE_INT(StreamAsgnType);
  DEFINE_BOOLEAN(LastRptRequested);
  DEFINE_STRING(LocaleOfIssue);
  DEFINE_STRING(SenderSubID);
  DEFINE_PRICE(HighPx);
  DEFINE_AMT(AllocSettlCurrAmt);
  DEFINE_PERCENTAGE(ComplexEventPriceBoundaryPrecision);
  DEFINE_INT(InstrumentPartyRole);
  DEFINE_PRICE(YieldRedemptionPrice);
  DEFINE_QTY(CumQty);
  DEFINE_STRING(OrigClOrdID);
  DEFINE_STRING(SettlSessID);
  DEFINE_STRING(ParentMktSegmID);
  DEFINE_INT(TradeReportType);
  DEFINE_INT(AvgPrxPrecision);
  DEFINE_NUMINGROUP(NoLegs);
  DEFINE_STRING(UnderlyingSymbol);
  DEFINE_INT(ExerciseStyle);
  DEFINE_CHAR(HaltReasonChar);
  DEFINE_EXCHANGE(ExDestination);
  DEFINE_CHAR(DerivativeInstrmtAssignmentMethod);
  DEFINE_STRING(UnderlyingIDSource);
  DEFINE_STRING(AdvId);
  DEFINE_UTCTIMESTAMP(TransBkdTime);
  DEFINE_PRICE(LegLastPx);
  DEFINE_INT(AllocReportType);
  DEFINE_STRING(RegistDtls);
  DEFINE_INT(AllocType);
  DEFINE_INT(QuoteRequestRejectReason);
  DEFINE_STRING(UnderlyingUnitOfMeasure);
  DEFINE_STRING(IndividualAllocID);
  DEFINE_PRICE(LegOfferPx);
  DEFINE_INT(LiquidityIndType);
  DEFINE_UTCTIMESTAMP(HopSendingTime);
  DEFINE_BOOLEAN(ApplResendFlag);
  DEFINE_PRICE(DerivativeCapPrice);
  DEFINE_AMT(ComplexOptPayoutAmount);
  DEFINE_LANGUAGE(LanguageCode);
  DEFINE_STRING(SettlObligRefID);
  DEFINE_STRING(OrigTradeID);
  DEFINE_AMT(UnderlyingCollectAmount);
  DEFINE_INT(StatusValue);
  DEFINE_PRICE(OfferSpotRate);
  DEFINE_STRING(PosType);
  DEFINE_LOCALMKTDATE(UnderlyingRedemptionDate);
  DEFINE_STRING(SettlDepositoryCode);
  DEFINE_INT(StreamAsgnAckType);
  DEFINE_PRICE(FloorPrice);
  DEFINE_QTY(UnderlyingPriceUnitOfMeasureQty);
  DEFINE_FLOAT(FeeMultiplier);
  DEFINE_TZTIMEONLY(UnderlyingMaturityTime);
  DEFINE_STRING(ApplID);
  DEFINE_AMT(LegGrossTradeAmt);
  DEFINE_UTCDATEONLY(MDEntryDate);
  DEFINE_CURRENCY(LegBenchmarkCurveCurrency);
  DEFINE_AMT(OptPayoutAmount);
  DEFINE_INT(MiscFeeBasis);
  DEFINE_UTCTIMESTAMP(ValidUntilTime);
  DEFINE_CHAR(OrdType);
  DEFINE_STRING(AdvRefID);
  DEFINE_STRING(HopCompID);
  DEFINE_STRING(PosMaintRptRefID);
  DEFINE_STRING(LegStipulationValue);
  DEFINE_STRING(MatchType);
  DEFINE_INT(OptPayoutType);
  DEFINE_STRING(UnderlyingPriceUnitOfMeasure);
  DEFINE_CHAR(MarketUpdateAction);
  DEFINE_INT(CollAsgnRejectReason);
  DEFINE_PRICE(PeggedRefPrice);
  DEFINE_INT(IndividualAllocType);
  DEFINE_AMT(EndCash);
  DEFINE_STRING(EventText);
  DEFINE_LOCALMKTDATE(ExDate);
  DEFINE_CHAR(NestedPartyIDSource);
  DEFINE_INT(GTBookingInst);
  DEFINE_STRING(DerivativeValuationMethod);
  DEFINE_INT(NumberOfOrders);
  DEFINE_INT(TrdRepPartyRole);
  DEFINE_PRICE(TriggerPrice);
  DEFINE_INT(MDReportID);
  DEFINE_STRING(SecondaryAllocID);
  DEFINE_QTY(LeavesQty);
  DEFINE_LOCALMKTDATE(CardStartDate);
  DEFINE_INT(LegCoveredOrUncovered);
  DEFINE_INT(PutOrCall);
  DEFINE_STRING(MatchAlgorithm);
  DEFINE_QTY(CalculatedCcyLastQty);
  DEFINE_CHAR(FundRenewWaiv);
  DEFINE_STRING(SecuritySettlAgentName);
  DEFINE_STRING(BidDescriptor);
  DEFINE_STRING(MDStreamID);
  DEFINE_NUMINGROUP(NoAsgnReqs);
  DEFINE_PERCENTAGE(NotionalPercentageOutstanding);
  DEFINE_NUMINGROUP(NoSettlInst);
  DEFINE_STRING(SettlInstMsgID);
  DEFINE_BOOLEAN(ForexReq);
  DEFINE_STRING(TradSesReqID);
  DEFINE_PRICE(UnderlyingLegStrikePrice);
  DEFINE_INT(TickRuleType);
  DEFINE_CHAR(InstrmtAssignmentMethod);
  DEFINE_INT(DiscretionOffsetType);
  DEFINE_INT(ConfirmTransType);
  DEFINE_AMT(TotalTakedown);
  DEFINE_STRING(ResponseDestination);
  DEFINE_INT(MDSecSizeType);
  DEFINE_INT(InstrumentPartySubIDType);
  DEFINE_STRING(LegTimeUnit);
  DEFINE_STRING(TransferReason);
  DEFINE_INT(ApplQueueMax);
  DEFINE_FLOAT(DiscretionOffsetValue);
  DEFINE_STRING(BookingRefID);
  DEFINE_PRICE(LegBidPx);
  DEFINE_INT(TradSesEvent);
  DEFINE_INT(DerivativeProduct);
  DEFINE_INT(RootPartyRole);
  DEFINE_CHAR(DlvyInstType);
  DEFINE_NUMINGROUP(NoLinesOfText);
  DEFINE_STRING(PosReqID);
  DEFINE_STRING(LegSecurityAltIDSource);
  DEFINE_DATA(EncodedSubject);
  DEFINE_STRING(ContraBroker);
  DEFINE_MULTIPLESTRINGVALUE(TradeCondition);
  DEFINE_STRING(PartyID);
  DEFINE_STRING(MDEntryID);
  DEFINE_STRING(UnderlyingLegSecurityExchange);
  DEFINE_INT(PriceLimitType);
  DEFINE_STRING(TriggerSecurityIDSource);
  DEFINE_NUMINGROUP(NoUndlyInstrumentPartySubIDs);
  DEFINE_STRING(ClientBidID);
  DEFINE_PRICEOFFSET(NetChgPrevDay);
  DEFINE_STRING(DefaultApplVerID);
  DEFINE_STRING(IOIID);
  DEFINE_PRICEOFFSET(SpreadToBenchmark);
  DEFINE_CHAR(CommType);
  DEFINE_INT(RegistRejReasonCode);
  DEFINE_UTCTIMESTAMP(SideTimeInForce);
  DEFINE_UTCTIMESTAMP(TrdRegTimestamp);
  DEFINE_MULTIPLECHARVALUE(FinancialStatus);
  DEFINE_NUMINGROUP(NoTrades);
  DEFINE_BOOLEAN(LastFragment);
  DEFINE_STRING(PartySubID);
  DEFINE_QTY(AllocQty);
  DEFINE_BOOLEAN(NotifyBrokerOfCredit);
  DEFINE_INT(SideTrdRegTimestampType);
  DEFINE_LOCALMKTDATE(AgreementDate);
  DEFINE_INT(PartySubIDType);
  DEFINE_AMT(TotalNetValue);
  DEFINE_INT(AllocNoOrdersType);
  DEFINE_STRING(AllocLinkID);
  DEFINE_FLOAT(RoundingModulus);
  DEFINE_STRING(OnBehalfOfCompID);
  DEFINE_STRING(UnderlyingSecurityID);
  DEFINE_STRING(SettlObligMsgID);
  DEFINE_INT(PositionLimit);
  DEFINE_AMT(SharedCommission);
  DEFINE_PERCENTAGE(AllowableOneSidednessPct);
  DEFINE_STRING(AllocText);
  DEFINE_SEQNUM(EndSeqNo);
  DEFINE_NUMINGROUP(NoPartyIDs);
  DEFINE_NUMINGROUP(NoContraBrokers);
  DEFINE_INT(AllocLinkType);
  DEFINE_PERCENTAGE(UnderlyingAllocationPercent);
  DEFINE_AMT(AllocAccruedInterestAmt);
  DEFINE_DATA(EncodedSecurityListDesc);
  DEFINE_LENGTH(EncryptedPasswordLen);
  DEFINE_PERCENTAGE(LegDividendYield);
  DEFINE_BOOLEAN(RefreshIndicator);
  DEFINE_CURRENCY(SideSettlCurrency);
  DEFINE_INT(UnderlyingSettlementType);
  DEFINE_QTY(OrderCapacityQty);
  DEFINE_QTY(LongQty);
  DEFINE_CHAR(DerivativeSettlMethod);
  DEFINE_STRING(TriggerTradingSessionID);
  DEFINE_CHAR(DisplayMethod);
  DEFINE_INT(RptSeq);
  DEFINE_STRING(MDEntryOriginator);
  DEFINE_STRING(LegInstrRegistry);
  DEFINE_QTY(FillQty);
  DEFINE_STRING(PegSecurityIDSource);
  DEFINE_TZTIMEONLY(MaturityTime);
  DEFINE_STRING(MDFeedType);
  DEFINE_INT(CollStatus);
  DEFINE_STRING(UnderlyingSecuritySubType);
  DEFINE_STRING(CstmApplVerID);
  DEFINE_INT(DefaultApplExtID);
  DEFINE_NUMINGROUP(NoDerivativeSecurityAltID);
  DEFINE_INT(SideValueInd);
  DEFINE_DATA(EncodedText);
  DEFINE_STRING(Account);
  DEFINE_PRICE(TriggerNewPrice);
  DEFINE_INT(UndlyInstrumentPartyRole);
  DEFINE_CHAR(MsgDirection);
  DEFINE_LOCALMKTDATE(LegMaturityDate);
  DEFINE_INT(UnderlyingContractMultiplierUnit);
  DEFINE_STRING(InputSource);
  DEFINE_CHAR(MDUpdateAction);
  DEFINE_CHAR(MatchStatus);
  DEFINE_INT(RateSource);
  DEFINE_CHAR(AllocPositionEffect);
  DEFINE_CHAR(PartyIDSource);
  DEFINE_DATA(EncodedUnderlyingIssuer);
  DEFINE_DATA(EncryptedPassword);
  DEFINE_QTY(TriggerNewQty);
  DEFINE_PRICEOFFSET(LegLastForwardPoints);
  DEFINE_INT(TotNumTradeReports);
  DEFINE_STRING(RefApplVerID);
  DEFINE_PRICE(LastSpotRate);
  DEFINE_PRICE(Price);
  DEFINE_STRING(UnderlyingSecurityIDSource);
  DEFINE_INT(TotNoSecurityTypes);
  DEFINE_PRICE(ReportedPx);
  DEFINE_STRING(LegSymbol);
  DEFINE_STRING(LegIssuer);
  DEFINE_STRING(RegistDetls);
  DEFINE_STRING(UnderlyingLegSecurityID);
  DEFINE_QTY(MinLotSize);
  DEFINE_INT(NumTickets);
  DEFINE_STRING(LegLocaleOfIssue);
  DEFINE_BOOLEAN(ExchangeForPhysical);
  DEFINE_INT(SecurityTradingEvent);
  DEFINE_AMT(MinPriceIncrementAmount);
  DEFINE_AMT(UnderlyingPayAmount);
  DEFINE_STRING(SettlPartySubID);
  DEFINE_AMT(AllocNetMoney);
  DEFINE_DAYOFMONTH(UnderlyingMaturityDay);
  DEFINE_STRING(NetworkResponseID);
  DEFINE_INT(NumBidders);
  DEFINE_INT(AllocAcctIDSource);
  DEFINE_PRICE(AllocAvgPx);
  DEFINE_STRING(SecuritySettlAgentCode);
  DEFINE_NUMINGROUP(NoDistribInsts);
  DEFINE_BOOLEAN(CustDirectedOrder);
  DEFINE_AMT(FairValue);
  DEFINE_NUMINGROUP(NoStrikes);
  DEFINE_LENGTH(EncodedSecurityListDescLen);
  DEFINE_INT(LegExerciseStyle);
  DEFINE_STRING(DerivativeSymbolSfx);
  DEFINE_INT(NestedInstrAttribType);
  DEFINE_STRING(ContraTrader);
  DEFINE_QTY(MDSecSize);
  DEFINE_NUMINGROUP(NoOfSecSizes);
  DEFINE_INT(CollAction);
  DEFINE_QTY(UnderlyingLastQty);
  DEFINE_BOOLEAN(PossDupFlag);
  DEFINE_INT(ListStatusType);
  DEFINE_STRING(SideFillStationCd);
  DEFINE_STRING(StatusText);
  DEFINE_LOCALMKTDATE(BasisFeatureDate);
  DEFINE_LENGTH(XmlDataLen);
  DEFINE_LOCALMKTDATE(UnderlyingMaturityDate);
  DEFINE_BOOLEAN(GapFillFlag);
  DEFINE_INT(RefApplExtID);
  DEFINE_STRING(RefApplID);
  DEFINE_NUMINGROUP(NoTradingSessionRules);
  DEFINE_PRICEOFFSET(SwapPoints);
  DEFINE_STRING(TargetStrategyParameters);
  DEFINE_PRICEOFFSET(LastForwardPoints);
  DEFINE_LOCALMKTDATE(YieldRedemptionDate);
  DEFINE_NUMINGROUP(NoSettlDetails);
  DEFINE_CHAR(TradeHandlingInstr);
  DEFINE_STRING(CashSettlAgentCode);
  DEFINE_INT(LegPriceType);
  DEFINE_LENGTH(EncodedListExecInstLen);
  DEFINE_INT(TradSesMethod);
  DEFINE_STRING(AgreementID);
  DEFINE_CURRENCY(CashDistribCurr);
  DEFINE_PRICE(BidPx);
  DEFINE_CHAR(TradeType);
  DEFINE_LENGTH(EncodedSecurityDescLen);
  DEFINE_INT(ComplexEventCondition);
  DEFINE_INT(EncryptedPasswordMethod);
  DEFINE_STRING(DerivativeSecurityAltID);
  DEFINE_INT(TotNoAccQuotes);
  DEFINE_STRING(TimeBracket);
  DEFINE_NUMINGROUP(NoAllocs);
  DEFINE_INT(UnderlyingProduct);
  DEFINE_STRING(BenchmarkCurveName);
  DEFINE_STRING(UnderlyingSymbolSfx);
  DEFINE_PERCENTAGE(StrikePriceBoundaryPrecision);
  DEFINE_STRING(QuoteSetID);
  DEFINE_CHAR(CashMargin);
  DEFINE_CHAR(SettlObligTransType);
  DEFINE_INT(LegNumber);
  DEFINE_MULTIPLESTRINGVALUE(DeskOrderHandlingInst);
  DEFINE_CHAR(SettlPartyIDSource);
  DEFINE_PRICE(PriorSettlPrice);
  DEFINE_STRING(NotAffOrigClOrdID);
  DEFINE_STRING(TradingSessionDesc);
  DEFINE_PRICE(DerivativeFloorPrice);
  DEFINE_STRING(DerivativeSymbol);
  DEFINE_FLOAT(RiskFreeRate);
  DEFINE_INT(PosTransType);
  DEFINE_SEQNUM(MsgSeqNum);
  DEFINE_DATA(Signature);
  DEFINE_STRING(Seniority);
  DEFINE_NUMINGROUP(NoRateSources);
  DEFINE_QTY(PriceUnitOfMeasureQty);
  DEFINE_STRING(CollAsgnRefID);
  DEFINE_QTY(BuyVolume);
  DEFINE_CHAR(SettlCurrFxRateCalc);
  DEFINE_INT(PosMaintStatus);
  DEFINE_BOOLEAN(PriorSpreadIndicator);
  DEFINE_CHAR(Benchmark);
  DEFINE_INT(MaturityMonthYearFormat);
  DEFINE_STRING(UnderlyingTradingSessionID);
  DEFINE_INT(TotNoRelatedSym);
  DEFINE_STRING(StateOrProvinceOfIssue);
  DEFINE_STRING(DerivativeInstrRegistry);
  DEFINE_PRICEOFFSET(LegBidForwardPoints);
  DEFINE_BOOLEAN(ManualOrderIndicator);
  DEFINE_AMT(NetMoney);
  DEFINE_BOOLEAN(LegalConfirm);
  DEFINE_COUNTRY(CountryOfIssue);
  DEFINE_INT(ApplReportType);
  DEFINE_STRING(RootPartyID);
  DEFINE_QTY(UnderlyingQty);
  DEFINE_INT(ApplQueueDepth);
  DEFINE_PRICE(StopPx);
  DEFINE_BOOLEAN(ReportToExch);
  DEFINE_BOOLEAN(ContraryInstructionIndicator);
  DEFINE_LENGTH(EncodedListStatusTextLen);
  DEFINE_STRING(DerivativeSecurityXMLSchema);
  DEFINE_NUMINGROUP(NoRelatedSym);
  DEFINE_INT(AllocRejCode);
  DEFINE_STRING(UnderlyingSecurityAltID);
  DEFINE_INT(RefOrdIDReason);
  DEFINE_STRING(DerivativeInstrumentPartyID);
  DEFINE_STRING(SecurityXMLSchema);
  DEFINE_CHAR(RefOrderIDSource);
  DEFINE_INT(NTPositionLimit);
  DEFINE_AMT(EndAccruedInterestAmt);
  DEFINE_PERCENTAGE(AccruedInterestRate);
  DEFINE_CHAR(LastCapacity);
  DEFINE_STRING(UnderlyingInstrumentPartySubID);
  DEFINE_NUMINGROUP(NoFills);
  DEFINE_NUMINGROUP(NoOrdTypeRules);
  DEFINE_STRING(InstrumentPartyID);
  DEFINE_PERCENTAGE(MarginRatio);
  DEFINE_INT(RefTagID);
  DEFINE_NUMINGROUP(NoRoutingIDs);
  DEFINE_PERCENTAGE(CouponRate);
  DEFINE_NUMINGROUP(NoApplIDs);
  DEFINE_MONTHYEAR(DerivativeContractSettlMonth);
  DEFINE_INT(InstrAttribType);
  DEFINE_INT(Product);
  DEFINE_QTY(AllocShares);
  DEFINE_NUMINGROUP(NoQuoteEntries);
  DEFINE_STRING(DefaultCstmApplVerID);
  DEFINE_INT(DerivativeListMethod);
  DEFINE_LENGTH(DerivativeSecurityXMLLen);
  DEFINE_LOCALMKTDATE(LegDatedDate);
  DEFINE_CHAR(Nested2PartyIDSource);
  DEFINE_STRING(UnderlyingInstrRegistry);
  DEFINE_LOCALMKTDATE(IssueDate);
  DEFINE_INT(SecurityTradingStatus);
  DEFINE_CHAR(LegOptAttribute);
  DEFINE_QTY(MaxFloor);
  DEFINE_STRING(DerivativeLocaleOfIssue);
  DEFINE_AMT(OptPayAmount);
  DEFINE_STRING(UnderlyingStipType);
  DEFINE_CHAR(Rule80A);
  DEFINE_INT(TotNoStrikes);
  DEFINE_MULTIPLECHARVALUE(CorporateAction);
  DEFINE_INT(TerminationType);
  DEFINE_PERCENTAGE(LegCouponRate);
  DEFINE_INT(PosMaintAction);
  DEFINE_NUMINGROUP(NoSecurityTypes);
  DEFINE_INT(ComplexEventPriceTimeType);
  DEFINE_PRICEOFFSET(LastSwapPoints);
  DEFINE_CHAR(UnderlyingFXRateCalc);
  DEFINE_STRING(ListStatusText);
  DEFINE_BOOLEAN(OddLot);
  DEFINE_CHAR(BookingUnit);
  DEFINE_STRING(LegAllocAcctIDSource);
  DEFINE_UTCTIMESTAMP(OnBehalfOfSendingTime);
  DEFINE_INT(AllocStatus);
  DEFINE_STRING(ReferencePage);
  DEFINE_CHAR(DerivativeExerciseStyle);
  DEFINE_SEQNUM(ApplBegSeqNum);
  DEFINE_STRING(CollRptID);
  DEFINE_INT(IncTaxInd);
  DEFINE_NUMINGROUP(NoBidDescriptors);
  DEFINE_LOCALMKTDATE(LegCouponPaymentDate);
  DEFINE_NUMINGROUP(NoUnderlyingLegSecurityAltID);
  DEFINE_BOOLEAN(ReversalIndicator);
  DEFINE_CHECKSUM(CheckSum);
  DEFINE_STRING(TargetSubID);
  DEFINE_INT(PosReqStatus);
  DEFINE_INT(PriorityIndicator);
  DEFINE_STRING(UnderlyingLegCFICode);
  DEFINE_STRING(DerivativeTimeUnit);
  DEFINE_NUMINGROUP(NoNested3PartyIDs);
  DEFINE_PERCENTAGE(LiquidityPctHigh);
  DEFINE_CHAR(MoneyLaunderingStatus);
  DEFINE_STRING(Nested4PartySubID);
  DEFINE_EXCHANGE(DerivativeSecurityExchange);
  DEFINE_CHAR(LotType);
  DEFINE_STRING(ContIntRptID);
  DEFINE_MULTIPLESTRINGVALUE(QuoteCondition);
  DEFINE_UTCTIMEONLY(ComplexEventStartTime);
  DEFINE_NUMINGROUP(NoComplexEvents);
  DEFINE_FLOAT(DerivativeContractMultiplier);
  DEFINE_STRING(DerivativeSecurityStatus);
  DEFINE_STRING(DerivativeProductComplex);
  DEFINE_STRING(TriggerSymbol);
  DEFINE_STRING(UnderlyingLocaleOfIssue);
  DEFINE_UTCTIMESTAMP(SendingTime);
  DEFINE_UTCTIMESTAMP(ComplexEventStartDate);
  DEFINE_STRING(UnderlyingRestructuringType);
  DEFINE_QTY(LegUnitOfMeasureQty);
  DEFINE_NUMINGROUP(NoTrdRegTimestamps);
  DEFINE_LOCALMKTDATE(SendingDate);
  DEFINE_FLOAT(TimeToExpiration);
  DEFINE_QTY(LegAllocQty);
  DEFINE_STRING(SettlLocation);
  DEFINE_INT(UnderlyingExerciseStyle);
  DEFINE_STRING(CashSettlAgentContactName);
  DEFINE_PERCENTAGE(LegRepurchaseRate);
  DEFINE_STRING(ApplResponseID);
  DEFINE_NUMINGROUP(NoDerivativeInstrAttrib);
  DEFINE_FLOAT(DerivativeStrikeMultiplier);
  DEFINE_CURRENCY(LegStrikeCurrency);
  DEFINE_STRING(SecurityStatusReqID);
  DEFINE_LENGTH(SecureDataLen);
  DEFINE_INT(DiscretionScope);
  DEFINE_INT(OwnerType);
  DEFINE_QTY(Shares);
  DEFINE_PERCENTAGE(Yield);
  DEFINE_STRING(QuoteRespID);
  DEFINE_STRING(Nested3PartySubID);
  DEFINE_INT(ApplQueueResolution);
  DEFINE_STRING(TrdRegTimestampOrigin);
  DEFINE_INT(Nested2PartyRole);
  DEFINE_STRING(Nested2PartyID);
  DEFINE_QTY(BidSize);
  DEFINE_STRING(LegSymbolSfx);
  DEFINE_INT(QuoteResponseLevel);
  DEFINE_LENGTH(BodyLength);
  DEFINE_STRING(ListExecInst);
  DEFINE_CHAR(ExecAckStatus);
  DEFINE_LOCALMKTDATE(SettlDate2);
  DEFINE_INT(NetGrossInd);
  DEFINE_STRING(UnderlyingSecurityAltIDSource);
  DEFINE_STRING(TestReqID);
  DEFINE_CHAR(CxlType);
  DEFINE_STRING(UnderlyingCreditRating);
  DEFINE_INT(AvgPxPrecision);
  DEFINE_INT(BenchmarkPriceType);
  DEFINE_INT(DeskTypeSource);
  DEFINE_INT(DiscretionRoundDirection);
  DEFINE_STRING(OrigSecondaryTradeID);
  DEFINE_STRING(ReceivedDeptID);
  DEFINE_AMT(MaturityNetMoney);
  DEFINE_INT(BidDescriptorType);
  DEFINE_STRING(DerivativeInstrumentPartySubID);
  DEFINE_INT(NetworkStatusResponseType);
  DEFINE_LOCALMKTDATE(DateOfBirth);
  DEFINE_PRICE(StartStrikePxRange);
  DEFINE_STRING(UndlyInstrumentPartySubID);
  DEFINE_STRING(SecondaryTradeReportRefID);
  DEFINE_STRING(UnderlyingCPRegType);
  DEFINE_LENGTH(SignatureLength);
  DEFINE_QTY(OrderQty);
  DEFINE_PERCENTAGE(OriginalNotionalPercentageOutstanding);
  DEFINE_STRING(UnderlyingTimeUnit);
  DEFINE_LENGTH(EncodedHeadlineLen);
  DEFINE_NUMINGROUP(NoRegistDtls);
  DEFINE_STRING(StrategyParameterValue);
  DEFINE_NUMINGROUP(NoInstrumentParties);
  DEFINE_INT(QuoteType);
  DEFINE_NUMINGROUP(NoStrategyParameters);
  DEFINE_INT(IndividualAllocRejCode);
  DEFINE_CHAR(DiscretionInst);
  DEFINE_INT(TargetPartyRole);
  DEFINE_INT(CrossPrioritization);
  DEFINE_DATA(EncodedListStatusText);
  DEFINE_CHAR(IOIOthSvc);
  DEFINE_LOCALMKTDATE(LegIssueDate);
  DEFINE_CHAR(MDReqRejReason);
  DEFINE_INT(ApplReqType);
  DEFINE_COUNTRY(Country);
  DEFINE_STRING(UnderlyingLegSecurityIDSource);
  DEFINE_BOOLEAN(FlexProductEligibilityIndicator);
  DEFINE_BOOLEAN(AggressorIndicator);
  DEFINE_FLOAT(ExecPriceAdjustment);
  DEFINE_INT(BusinessRejectReason);
  DEFINE_LOCALMKTDATE(TradeDate);
  DEFINE_INT(UnderlyingPutOrCall);
  DEFINE_INT(UnderlyingInstrumentPartyRole);
  DEFINE_INT(DerivativePositionLimit);
  DEFINE_STRING(TierCode);
  DEFINE_INT(BookingType);
  DEFINE_STRING(StipulationValue);
  DEFINE_FLOAT(SettlCurrBidFxRate);
}
#endif //FIX_FIELDS_H
